TYPOS3 Core - Task #69744

Story # 68805 (Closed): Replace current icons in the core by using the new Icon-API

Move mimetype icons to IconRegistry
2015-09-12 22:52 - Stephan GroBberndt

Status: Closed Start date: 2015-09-12
Priority: Should have Due date:

Assignee: Stephan Grof3berndt % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 7.5

TYPOS3 Version: 7 Complexity:

PHP Version: Sprint Focus:

Tags:

Description

use iconldentifier instead of icon

Related issues:
Follows TYPOS3 Core - Task #69057: Deprecate IconUtility::getSpritelconForFile() Closed 2015-08-14

Associated revisions

Revision 8a961ba7 - 2015-09-14 22:27 - Frank Naegler
[TASK] Render Resources using SVG in IconFactory

Add SVG icons for MimeTypes to the IconRegistry, add
IconFactory->getlconForResource() as improved version of
IconUtility->getSpritelconForResource().

Also add IconFactory->getlconForFileExtension() similar to
IconUtility->getSpritelconForFile() but without the possibility to pass
a path but only a file extension.

Replace all core calls of getSpritelconForFile() and
getSpritelconForResource() with calls to IconFactory.

Resolves: #69744

Resolves: #69759

Releases: master

Change-1d: 126b221fbba87c¢7f3e09ec10b61c13c8e74b8ech3
Reviewed-on: http://review.typo3.org/43258
Reviewed-by: Benjamin Kott <info@bk2k.info>
Tested-by: Benjamin Kott <info@bk2k.info>
Reviewed-by: Frank Nagler <frank.naegler@typo3.org>
Tested-by: Frank Nagler <frank.naegler@typo3.org>
Reviewed-by: Frans Saris <franssaris@gmail.com>
Tested-by: Frans Saris <franssaris@gmail.com>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

History

#1 - 2015-09-12 23:35 - Mathias Brodala
- Status changed from New to In Progress

- Assignee set to Stephan GroBBberndt

#2 - 2015-09-13 11:01 - Gerrit Code Review

- Status changed from In Progress to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/43258

#3 - 2015-09-13 11:07 - Gerrit Code Review
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/43258

#4 - 2015-09-13 15:02 - Stephan GroBberndt

- Status changed from Under Review to On Hold

#5 - 2015-09-13 18:59 - Gerrit Code Review

- Status changed from On Hold to Under Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/43258

#6 - 2015-09-13 19:03 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/43258

#7 - 2015-09-13 19:17 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/43258

#8 - 2015-09-13 19:19 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/43258

#9 - 2015-09-13 19:37 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/43258

#10 - 2015-09-13 19:48 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/43258

#11 - 2015-09-13 23:17 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/43258

#12 - 2015-09-14 00:30 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/43258

#13 - 2015-09-14 11:34 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/43258

#14 - 2015-09-14 11:40 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/43258

#15 - 2015-09-14 11:46 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/43258

#16 - 2015-09-14 11:48 - Gerrit Code Review

Patch set 14 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/43258

#17 - 2015-09-14 11:57 - Gerrit Code Review

Patch set 15 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/43258
#18 - 2015-09-14 13:03 - Gerrit Code Review

Patch set 16 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/43258

#19 - 2015-09-14 13:05 - Gerrit Code Review

Patch set 17 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/43258

#20 - 2015-09-14 13:27 - Gerrit Code Review

Patch set 18 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http:/review.typo3.0rg/43258

#21 - 2015-09-14 14:51 - Gerrit Code Review

Patch set 19 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/43258

#22 - 2015-09-14 15:09 - Gerrit Code Review

Patch set 20 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/43258

#23 - 2015-09-14 20:45 - Gerrit Code Review

Patch set 21 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/43258

#24 - 2015-09-14 21:18 - Gerrit Code Review

Patch set 22 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/43258

#25 - 2015-09-14 21:41 - Gerrit Code Review

Patch set 23 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/43258

#26 - 2015-09-14 21:46 - Gerrit Code Review

Patch set 24 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http:/review.typo3.org/43258

#27 - 2015-09-14 22:29 - Frank Naegler
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 8a961ba7ddb3ef7a575e99593c9aa791eadd09cb.

#28 - 2016-01-08 11:14 - Anja Leichsenring
- Sprint Focus deleted (On Location Sprint)

#29 - 2017-10-19 21:47 - Riccardo De Contardi

- Status changed from Resolved to Closed
